// Tax fraud is a skill
// and an art 
// HattyBoyo looks cute                                                         not :troll:


if not srb2p return end

charStats["metalknuckles"] = {

		-- GENERAL

		name = "Metal Knuckles",			-- This is only for bots / enemies
		basehp = 55,					-- base HP for level 1
		basesp = 30,
		persona = "kin_ki",
		melee_natk = "metal_atk1",	-- normal melee attack
		

		atk = 60,
		acc = 70,
		crit = 2,

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, <"spr2">}
		-- spr2 is optional and must be between quotes, this is to avoid compability issues with older animations

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},		-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},		-- standing (low HP)
		anim_stand_bored =	{SPR_PLAY, A, B, C, D, E, F, G, H, I, J, 8, "SPR2_WAIT"},	-- standing (rare anim)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_WALK"},		-- guarding
		anim_move =			{SPR_PLAY, A, 2, "SPR2_DASH"},		-- moving
		anim_run =			{SPR_PLAY, A, 2, "SPR2_DASH"},	-- guess what
		anim_atk =			{SPR_PLAY, A, B, C, D, E, 1, "SPR2_ROLL"},	-- attacking
		anim_aoa_end =		{SPR_PLAY, E, D, C, B, A, 1, "SPR2_ROLL"},	-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_PAIN"},		-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_PAIN"},		-- knocked down from weakness / crit
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_PAIN"},		-- is down
		anim_getup =		{SPR_PLAY, A, B, C, D, E, F, 1, "SPR2_ROLL"},		-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_DEAD"},		-- dies
		anim_revive =		{SPR_PLAY, A, B, C, D, E, F, 1, "SPR2_ROLL"},		-- gets revived
		anim_evoker = 		{SPR_PLAY, A, 8, "SPR2_SPNG"},

		anim_special1 =		{SPR_PLAY, A, 2, "SPR2_SPNG"},	-- charge
		anim_sepcial2 =		{SPR_PLAY, A, 2, "SPR2_DASH"},	-- dash

		vfx_summon = {"sfx_mksum1", "sfx_mksum2"},
        vfx_skill = {"sfx_mkskl1", "sfx_mkskl2"},
        vfx_item = {"sfx_mksum1", "sfx_mksum2"},
        vfx_hurt = {"sfx_mkhrt1", "sfx_mkhrt2", "sfx_mkhrt3"},
        vfx_hurtx = {"sfx_mkskl2"},
        vfx_die = {"sfx_mkmis1"},
        vfx_heal = {"sfx_mksum1", "sfx_mksum2"},
        vfx_healself = {"sfx_mksum1", "sfx_mksum2"},
        vfx_kill = {"sfx_mksum1", "sfx_mksum2"},
        vfx_1more = {"sfx_mkdge1"},
        vfx_crit = {"sfx_mkskl2"},
        vfx_aoaask = {"sfx_mkaoi1"},
        vfx_aoado = {"sfx_mkskl2"},
        vfx_aoarelent = {"sfx_mkmis1"},
        vfx_miss = {"sfx_mkmis1"},
        vfx_dodge = {"sfx_mkdge1"},
        vfx_win = {"sfx_mkwin1"},
        vfx_levelup = {"sfx_mkwin1"},

		icon = "ICO_MKX",	-- icon for net select and other menus
		hudbust = "H_MKXBAR",			-- patch to draw on the stat hud
		hudaoa = "H_MKXAOA",	-- patch for all out attack hud
		hudcutin = "MKX_A",	-- cut in
		aoa_quote = "Awaiting permission\nfor extermination.",

		tip = "Learns powerful physical attacks\nas well as some Elec, and Buff skills.\nHe's incredibly durable due to his high\nHP and resistance to any physical\nattacks. But his SP is low so try not\nto waste it all in one go!",
}

freeslot("SPR_PSNK")

personaList["kin_ki"] = {
		name = "Kin-Ki",
		arcana = ARCANA_HIEROPHANT,
        
		
		anim_idle = 	{SPR_PSNK, A, B, C, D, 8},
		anim_atk = 		{SPR_PSNK, A, E, F, G, H, I, J, 3},

-- STATS (at level 10. so we can have some precision, y'see)

		strength = 14,
		magic = 5,
		endurance = 15,
		luck = 5,
		agility = 4,
		weak = ATK_PSY,
		resist = ATK_STRIKE|ATK_SLASH,
		repel = ATK_PIERCE,
		skills = {
		                {"gale slash", 1}, {"rakunda", 1},
						{"zio", 1}, {"regenerate 1", 16}, 
						{"dodge psy", 20}, {"elec boost", 46},
						{"marakukaja", 58}, {"power charge", 60},
						
						
						{"giant slice", 24, "gale slash"}, {"marakunda", 29, "rakunda"},
						
						{"zionga", 32, "zio"}, {"regenerate 2", 37, "regenerate 1"},	
						
						{"evade psy", 40, "dodge psy"}, {"deathbound", 43, "giant slice"},	
						
						{"ziodyne", 52, "zionga"}, {"tempest slash", 55, "deathbound"}, 
						
						{"regenerate 3", 64, "regenerate 2"}, {"brave blade", 70, "tempest slash"}, 
						
						{"elec amp", 73, "elec Boost"},
				    
				},
}

VFX_freeslotC("metalknuckles") 